<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:cc="http://xmlns.jcp.org/jsf/composite" xmlns:p="http://primefaces.org/ui">
	<cc:interface>
		<cc:attribute name="action" required="true" method-signature="java.lang.String action()" />
		<cc:attribute name="title" required="false" default="Confirmation Modal" />
		<cc:attribute name="approveButtonLabel" required="false" default="ok" />
		<cc:attribute name="cancelButtonLabel" required="false" default="cancel" />
		<cc:attribute name="iconAwesome" required="false" default="" />
		<cc:attribute name="iconcolor" required="false" default="inherit" />
		<cc:attribute name="value" required="false" default="" />
		<cc:attribute name="tooltip" required="false" default="" />
		<cc:attribute name="immediate" required="false" default="false" />
	</cc:interface>
	<cc:implementation>
		<div id="#{cc.clientId}:approveModal" style="z-index: 10; background-color: rgba(128, 128, 128, 0.5); position: fixed; left: 0px; top: 0px; bottom: 0px; right: 0px" class="modal" role="dialog"
			tabindex="-1" aria-labelledby="#{cc.clientId}:approveModal_Label" aria-hidden="true">
			<div class="modal-dialog" style="padding-top: 10%; padding-left: 25%; padding-right: 25%; height: 100%; width: 100%">
				<div class="modal-content" style="width: 100%">
					<div style="background-color: #fcf8e3; color: #8A6D3B; padding: 1px 8px; border-radius: 6px 6px 0px 0px; background-image: linear-gradient(to bottom, #FCF8E3 0px, #FAF2CC 100%);"
						class="modal-header">
						<h4 id="#{cc.clientId}:approveModal_Label">
							<h:outputText value="#{cc.attrs.title}" />
						</h4>
					</div>
					<div style="background-color: #ffffff; color: #063868 !important; text-align: center; padding-top: 16px; padding-bottom: 16px;" class="modal-body">
						<cc:insertChildren />
					</div>
					<div class="modal-footer" style="background-color: #ffffff; text-align: center; border-radius: 0px 0px 6px 6px; padding-bottom: 8px">
						<button id="btn_cancel" type="button" class="btn btn-default" onclick="ship.hideModal('#{cc.clientId}:approveModal'); return false;" data-dismiss="modal">
							<h:outputText value="#{cc.attrs.cancelButtonLabel}" />
						</button>
						<h:commandButton id="btn_approve" action="#{cc.attrs.action}" value="#{cc.attrs.approveButtonLabel}" style="margin-left: 8px" immediate="#{cc.attrs.immediate}" />
					</div>
				</div>
			</div>
		</div>
		<script id="#{cc.clientId}:approveModal_js" type="text/javascript">
			ship.hideModal('#{cc.clientId}:approveModal');
		</script>
		<p:commandButton type="button" styleClass="iconbutton" onclick="ship.showModal('#{cc.clientId}:approveModal'); return false; " title="#{cc.attrs.tooltip}">
			<ui:fragment rendered="#{!empty(cc.attrs.iconAwesome)}">
				<span class="fa fa-#{cc.attrs.iconAwesome}" style="color: #{cc.attrs.iconcolor}"></span>
			</ui:fragment>
			<h:outputText value=" #{cc.attrs.value}" rendered="#{cc.attrs.value != ''}" />
		</p:commandButton>
	</cc:implementation>
</ui:composition>